<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$str1=strlen($log);
$str2=strlen($par);
if($str1>20 || $str2>20){ header ("Location: registration.php?isset=biginfo&".SID);  exit;}
if($str1<3 || $str2<3){ header ("Location: registration.php?isset=smallinfo&".SID);  exit;}	
if(eregi("[^a-z0-9-]",$log)){ header ("Location: registration.php?isset=noreg&".SID);  exit;}
if(eregi("[^a-z0-9-]",$par)){ header ("Location: registration.php?isset=noreg&".SID);  exit;}
if(!empty($_SESSION['rig'])){header ("Location: registration.php?isset=antirega&".SID); exit;}
if($par!==$pars){ header ("Location: registration.php?isset=nopassword&".SID);  exit;}

if($log!="" && $par!="" && $meil!="" && $provkod!="") {
	
$trr = file(BASEDIR."local/profil/$log.prof"); 
$urr = explode(":||:",$trr[0]);

//-------------------- Проверка cвободных логинов ---------------------------//
$dir = opendir (BASEDIR."local/profil"); 
while ($file = readdir ($dir)) 
{if (ereg (".prof$", $file)) 
{
$aut[]=$file;	
$au[]=strtolower(str_replace("-","",$file));
}} 
closedir ($dir); 		
$total = count($au); 


//------------------- Проверка на уникальность e-mail ----------------------//
for ($v = 0; $v < $total; $v++){
$provm = file(BASEDIR."local/profil/$aut[$v]"); 
$vmail = explode(":||:",$provm[0]);
if($vmail[4]==strtolower($meil)){$arr_mails="no"; break;}
}

$au=str_replace (".prof","",$au);
$strtolower = strtolower(str_replace("-","",$log));

for ($i = 0; $i < $total; $i++){
if($au[$i]==$strtolower){$arr_users="no"; break;}
}

//-------------------- Проверка на ограничение знака '-' ----------------------------//
$substr_log = substr_count($log,"-");

if($substr_log<=2){
	
if($arr_mails!="no"){
if($arr_users!="no"){
$casecmp=strcasecmp($urr[0], $log);
if($casecmp!=0){

if (eregi("^[a-z0-9\._-]+@[a-z0-9\._-]+\.[a-z]{2,4}\$", $meil)){

if (file("../local/profil/$log.prof") || file("../local/privat/$log.$config_priv")) {
echo'Пользователь с таким именем уже зарегестрирован!<br><br>';
}else{
	
if($_SESSION['press_kod']==$provkod){
$_SESSION['rig'] = "ok";

$log = check($log);
$par = check($par);
$passwords = md5($par);

$meil=htmlspecialchars(stripslashes(strtolower($meil)));
$brow=check($brow);
$config_themes=check($config_themes);
$config_bookpost=(int)$config_bookpost;
$config_postnews=(int)$config_postnews;
$config_forumpost=(int)$config_forumpost;
$config_forumtem=(int)$config_forumtem;
$config_userlist=(int)$config_userlist;
$config_chatpost=(int)$config_chatpost;
$config_chatrew=(int)$config_chatrew;
$config_boardspost=(int)$config_boardspost;
$config_clocks=check($config_clocks);
$config_showtime=(int)$config_showtime;
$config_privatpost=(int)$config_privatpost;
$config_regkeys=(int)$config_regkeys;
if($config_regkeys=="1"){$registration_key =time()+24*60*60;}	
///////////////

$text=$log.':||:'.$passwords.':||:'.$rezerv2.':||:'.$rezerv3.':||:'.$meil.':||:'.$rezerv5.':||:'.time().':||:107:||:0:||:0:||:1:||:0:||:0:||:'.$brow.':||:'.$ip.':||:N:||:'.$rezerv16.':||:'.$rezerv17.':||:'.$rezerv18.':||:'.$rezerv19.':||:'.$config_themes.':||:'.$config_bookpost.':||:'.$config_postnews.':||:'.$config_forumpost.':||:'.$config_forumtem.':||:'.$config_userlist.':||:'.$config_chatpost.':||:'.$config_chatrew.':||:'.$config_boardspost.':||:'.$rezerv29.':||:'.$config_clocks.':||:'.$config_showtime.':||:'.$config_privatpost.':||:0:||:'.$rezerv34.':||:'.$rezerv35.':||:0:||:0:||:0:||::||::||:100:||:1:||:images/avators/noavatar.gif:||:'.$currDate.'/'.$currTime2.':||:1:||:'.$config_regkeys.':||:'.$registration_key.':||:0:||:0:||:0:||:0:||::||::||:0:||:0:||:0:||:0:||:0:||:50:||::||::||::||::||:0:||::||:1:||:';


/*
0-логин
1-пароль
2-откуда
3-инфа о юзере
4-е-мэйл
5-адрес сайта
6-время реги
7-Уровень доступа (101-суперадмин,102-админ,103-Cтарший модер,105-модер,107-юзер) 
8-постов в форуме
9-постов в гостевой
10-новые письма в привате
11-всего посещений
12-сообщений в чате
13-модель браузера
14-IP-адрес
15-пол
16-рост (см.)
17-вес (кг.)
18-день рождения
19-аська
20-тема/скин
21-кол.постов на стр. в госте
22-в новостях
23-в форуме посты
24-в форуме темы
25-в юзерлисте
26-в чате
27-автообновление в чате (сек.)
28-в афише
29-Имя юзера
30-временной сдвиг
31-Показывать Часы и день недели
32-в привате на стр.
33-оставленных комментариев
34-подписан или нет
35-Код отписки
36-Количество баллов
37-Забанен или нет
38-Время бана 
39-Причина бана
40-Особый статус
41-Золотые монеты
42-Включенная графика
43-Встроенный аватар
44-Время последнего посещения
45-Включенные аватары
46-Требуется ли подтверждение регистрации 
47-Ключ для подтверждение регистрации
48-Время для возможности дать отзыв
49-Авторитет пользователя
50-Положительные отзывы 
51-Отрицательные отзывы 
52-Время последнего бана 
53-Время кредита
54-Сумма кредита
55-Включение персонажа
56-Здоровье персонажа
57-Выносливость персонажа
58-Сила персонажа
59-Предел выносливости
60-
61-Время пополнения здоровья
62-Время пополнения выносливости
63-Логин отправившего в бан
64-Общее число банов
65-Русский ник 
66-Включить привязку к ip+браузер 
*/


$fp=fopen(BASEDIR."local/profil/$log.prof","w");  
flock($fp,LOCK_EX);                                                     
fputs($fp,$text);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
chmod ($fp, 0666);
chmod (BASEDIR."local/profil/$log.prof", 0666); 

$mess='Привет '.$log.'! Теперь вы зарегистрированный пользователь, сохраните ваш пароль и логин в надежном месте, он вам еще пригодится. Надеемся вам понравится на нашем портале!<br>Перед посещением сайта рекомендуем вам ознакомиться с <a href="../pages/pravila.php?'.SID.'">правилами сайта</a><br>Желаем приятно провести время, с уважением администрация сайта';
$mess=base64_encode($mess);


$pozdr=$config_nikname.'|'.$mess.'|'.$currDate.' / '.$currTime.'|';

$fp=fopen(BASEDIR."local/privat/$log.$config_priv","w");  
flock($fp,LOCK_EX);                                                     
fputs($fp,"$pozdr \r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
chmod ($fp, 0666);
chmod (BASEDIR."local/privat/$log.$config_priv", 0666);

//----------------------------- Уведомление о регистрации на мыло --------------------------//
$subject = 'Регистрация на сайте '.$config_title;
$regmail = "Здравствуйте ".$log."\r\nТеперь вы зарегистрированный пользователь сайта ".$config_home." , сохраните ваш пароль и логин в надежном месте, он вам еще пригодится.\r\nВаши данные для входа на на сайт\r\nЛогин: ".$log."\r\nПароль: ".$par."\r\n\r\nНадеемся вам понравится на нашем портале!\r\nС уважением администрация сайта";
if($config_regkeys=="1"){$regmail=$regmail."\r\n\r\nВнимание! \r\nДля подтверждения регистрации необходимо в течении 24 часов ввести мастер-ключ \r\nВаш мастер-ключ: $registration_key\r\nВведите его после авторизации на сайте\r\nИли перейдите по прямой ссылке:\r\n\r\n$config_home/pages/key.php?action=inkey&key=$registration_key\r\n\r\nЕсли в течении 24 часов вы не подтвердите регистрацию, ваш профиль будет автоматически удален";}
$subject = utf_to_win($subject);
$regmail = utf_to_win($regmail);

$subject = convert_cyr_string($subject, 'w','k');
$regmail = convert_cyr_string($regmail, 'w','k');

$subject = '=?KOI8-R?B?'.base64_encode($subject).'?=';

$adds = "From: \"".$config_nikname."\"<".$config_emails.">\n"; 
$adds .= "X-sender: \"".$config_nikname."\"<".$config_emails.">\n";
$adds .= "Content-Type: text/plain; charset=koi8-r\n";   
$adds .= "MIME-Version: 1.0\r\n";
$adds .= "Content-Transfer-Encoding: 8bit\r\n";
$adds .= "X-Mailer: PHP v.".phpversion();

mail($meil,$subject,$regmail,$adds);
####################################################################################################

echo'<img src="../images/img/partners.gif" alt=""> <b>Регистрация</b><br><br>';
echo'Вы удачно зарегестрированы!<br> Ваш ник: <b>'.$log.'</b> <br>Ваш пароль: <b>'.$par.'</b><br>Теперь вы можете войти<br>';
echo'<br><img src="../images/img/reload.gif" alt=""> ';
echo'<b><a href="'.$config_home.'/input.php?log='.$log.'&amp;par='.$par.'&amp;cookietrue=1&amp;'.SID.'">Вход на сайт</a></b><br><br>';
if($config_regkeys=="1"){
echo '<b><font color="#FF0000">Внимание после входа вам будет необходимо ввести мастер-код для подтверждения регистрации<br>';
echo 'Ключ был выслан вам на е-мэйл</font></b><br><br>'; }


echo'Вы можете сделать закладку для быстрого входа, она будет иметь вид:<br>';
echo'<font color="#FF0000">'.$config_home.'/input.php?log='.$log.'&amp;par='.$par.'&amp;cookietrue=1</font><br>';
echo'Cкопировать<br><input name="avtovhod" value="'.$config_home.'/input.php?log='.$log.'&amp;par='.$par.'&amp;cookietrue=1"/><br>';
echo'<br>Если у вас включены cookies, то делать такую закладку не обязательно';
}else{echo'Проверочное число не совпало!<br>';}

$press_kod=rand(1000,9999); $_SESSION['press_kod'] = $press_kod;
}
}else{echo'Вы ввели неверный адрес емэйл!<br> Он должен быть формата name@name.name<br>';
echo'Пожалуйста повторите<br>';}

}else{echo'Вы не можете регистрироваться под данным логином так как он уже занят<br>';
echo'Пожалуйста повторите<br>';}

}else{echo'Вы не можете регистрироваться под данным логином так как он уже занят<br>';
echo'Пожалуйста повторите<br>';}

}else{echo'E-mail указанный вами уже используется в системе, введите другой адрес!<br>';
echo'Пожалуйста повторите<br>';}

}else{echo'Запрещено использовать слишком много знаков тире!<br>';
echo'Пожалуйста повторите<br>';}

}else{echo'Вы не ввели важные данные необходимие для регистрации <br>';
echo'Пожалуйста повторите<br>';}

echo'<br><img src="../images/img/back.gif" alt=""> <a href="registration.php?'.SID.'">Вернуться</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
?>